function startServer() {
  const http = require('node:http')

  const hostname = '127.0.0.1'
  const port = 3000

  const server = http.createServer((req, res) => {
    res.statusCode = 200
    res.setHeader('Content-Type', 'application/json')
    res.end(JSON.stringify({ message: 'Hello, World!' }))
  })

  server.listen(port, hostname, () => {
    console.log(`Server running at http://${hostname}:${port}/`)
  })
}

if (process.env.NODE_ENV === 'development') {
  console.log('Hello, World!')
}

module.exports = {
  startServer,
}
